Loading...
Searching...
No Matches
Gfx::CModelMesh Class Reference

Mesh data saved in model file. More...

`#include <src/graphics/model/model_mesh.h>`

## Public Member Functions

void | AddTriangle (const ModelTriangle &triangle)
| Adds a new triangle.
void | SetTriangles (std::vector< ModelTriangle > &&triangles)
| Sets the list of triangles.
const std::vector< ModelTriangle > & | GetTriangles () const
| Returns the list of triangles.
int | GetTriangleCount () const
| Returns number of triangles.
const Math::Vector & | GetPosition () const
| Returns the mesh position.
void | SetPosition (const Math::Vector &position)
| Sets the mesh rotation.
const Math::Vector & | GetRotation () const
| Returns the mesh rotation.
void | SetRotation (const Math::Vector &rotation)
| Sets the mesh rotation.
const Math::Vector & | GetScale () const
| Returns the mesh scale.
void | SetScale (const Math::Vector &scale)
| Sets the mesh scale.
const std::string & | GetParent () const
| Returns the name of parent mesh.
void | SetParent (const std::string &parent)
| Sets the name of parent mesh.

## Detailed Description

Mesh data saved in model file.

## Member Function Documentation

## AddTriangle()

void Gfx::CModelMesh::AddTriangle | ( | const ModelTriangle & | triangle | ) |

Adds a new triangle.

## SetTriangles()

void Gfx::CModelMesh::SetTriangles | ( | std::vector< ModelTriangle > && | triangles | ) |

Sets the list of triangles.

## GetTriangles()

const std::vector< ModelTriangle > & Gfx::CModelMesh::GetTriangles | ( |  | ) | const

Returns the list of triangles.

## GetTriangleCount()

int Gfx::CModelMesh::GetTriangleCount | ( |  | ) | const

Returns number of triangles.

## GetPosition()

const Math::Vector & Gfx::CModelMesh::GetPosition | ( |  | ) | const

Returns the mesh position.

## SetPosition()

void Gfx::CModelMesh::SetPosition | ( | const Math::Vector & | position | ) |

Sets the mesh rotation.

## GetRotation()

const Math::Vector & Gfx::CModelMesh::GetRotation | ( |  | ) | const

Returns the mesh rotation.

## SetRotation()

void Gfx::CModelMesh::SetRotation | ( | const Math::Vector & | rotation | ) |

Sets the mesh rotation.

## GetScale()

const Math::Vector & Gfx::CModelMesh::GetScale | ( |  | ) | const

Returns the mesh scale.

## SetScale()

void Gfx::CModelMesh::SetScale | ( | const Math::Vector & | scale | ) |

Sets the mesh scale.

## GetParent()

const std::string & Gfx::CModelMesh::GetParent | ( |  | ) | const

Returns the name of parent mesh.

## SetParent()

void Gfx::CModelMesh::SetParent | ( | const std::string & | parent | ) |

Sets the name of parent mesh.

The documentation for this class was generated from the following files:

- src/graphics/model/model_mesh.h
- src/graphics/model/model_mesh.cpp